package com.apps.sketchmaster

import android.app.Application
import android.graphics.Typeface
import com.ad.maxlibrary.MaxInitManager
import com.applovin.sdk.AppLovinSdk
import com.up.uploadlibrary.UpLoadManager

public class SketchApp: Application() {
    companion object{
        lateinit var context: SketchApp
        var baseNameList: List<String>? = null
        lateinit var typeface: Typeface
    }
    private val CLASS_NAMES = arrayOf(
        "local_Aesthetic",
        "local_One Line Art",
        "local_People",
        "local_Animals",
        "local_Birds",
        "local_Tropical Paradise",
        "local_World Monuments",
        "local_Butterfly",
        "local_Food",
        "local_Cartoons",
        "local_Christmas",
        "local_Festivals",
        "local_Flowers",
        "local_Fruits",
        "local_General",
        "local_Mehndi",
        "local_Nature",
        "local_Architectures",
        "local_Rangoli",
        "local_Sports",
        "local_Car",
        "local_Space"
    )
    override fun onCreate() {
        super.onCreate()
       context = this
        val database = AppDataBase.getDatabase(this)
        typeface = Typeface.createFromAsset(assets, "arimo.ttf")
        baseNameList = listOf(*CLASS_NAMES)


        MaxInitManager.init(
            this,
            "CiVvkZKZlVhJJ696v3IBuPvq8pmLmwWefV1aP489QxDAUhVNsllZM8Uwvm7w1UUwURQ1RX6fO9Omo3fuvo7NlT",
            "74a619f3e1c33f66",
            "b0100d693ca54c45",
            "b3a4b89f4b3bdf2e",
            "=============="
        )
        UpLoadManager.init(this,"==============")
//        AppLovinSdk.getInstance( this ).showMediationDebugger()
    }
}